org.eclipse.ui.commands

## Interface ICommandListener

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.

    @Deprecated
    public interface ICommandListener

An instance of this interface can be used by clients to receive notification of changes to one or more instances of `ICommand`.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  `ICommand.addCommandListener(ICommandListener)`, `ICommand.removeCommandListener(ICommandListener)`, `ICommandListener`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `commandChanged(CommandEvent commandEvent)` Deprecated.

### Method Detail

#### commandChanged

    @Deprecated
    void commandChanged(CommandEvent commandEvent)

Deprecated.
Notifies that one or more properties of an instance of `ICommand` have changed. Specific details are described in the `CommandEvent`.

Parameters:
  `commandEvent` - the command event. Guaranteed not to be `null`.